<%@ page import="java.util.ArrayList,com.ejie.p06b.general.P06BPaginas, com.ejie.p06b.general.P06BConstantes,com.ejie.p06b.util.P06BUtil,com.ejie.p06b.datatype.model.P06B20T00Datatype, com.ejie.p06b.datatype.logic.P06BCorredorListasAux,com.ejie.p06b.datatype.model.P06B22T00Datatype,com.ejie.p06b.datatype.model.P06B61T00Datatype,com.ejie.p06b.datatype.model.P06B24T00Datatype, com.ejie.p06b.datatype.model.P06B25T00Datatype,com.ejie.p06b.datatype.model.P06B26T00Datatype,com.ejie.p06b.datatype.model.P06B27T00Datatype,com.ejie.p06b.datatype.model.P06B28T00Datatype,com.ejie.p06b.datatype.model.P06B29T00Datatype,com.ejie.p06b.datatype.model.P06B30T00Datatype, com.ejie.p06b.util.P06BResources, com.ejie.p06b.manager.P06BGeneralManager, com.ejie.p06b.manager.P06BCorredoresManager,com.ejie.p06b.datatype.model.P06B60T00Datatype,com.ejie.p06b.datatype.model.P06B64T00Datatype,com.ejie.p06b.general.P06BTablas" %>
<%@ taglib uri="/WEB-INF/tld/p06bTags.tld" prefix="p06b" %>
<html>
<head>
	<title><p06b:p06bResEtiquetasTag resource="titulo"/></title>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
	<link rel="stylesheet" href="<%=P06BPaginas.P06B_STYLES_PATH%>/Styles/p06estilos.css" type="text/css">
	<link rel="stylesheet" href="<%=P06BPaginas.P06B_STYLES_PATH%>/Styles/portal.css" type="text/css">
	<link rel="stylesheet" href="<%=P06BPaginas.P06B_STYLES_PATH%>/Styles/comunPortal.css" type="text/css">
	<script SRC="<%=P06BPaginas.P06B_STYLES_PATH%>/js/p06bComun.js" TYPE="text/javascript"></script>
	<script SRC="<%=P06BPaginas.P06B_STYLES_PATH%>/js/jquery-1.12.4.min.js" type="text/javascript"></script>
	<%
		//Obtengo el VO con la información a visualizar del corredor en la página
		String expediente = "";
		boolean bIncorporando = false;						
		boolean bIncorporandoDEC = false;						
		boolean bIncorporandoModTramitagune = false;						
		String sObjetivo = (String)request.getSession().getAttribute(P06BConstantes.P06B_VAR_TEMP+"objetivo"+P06BConstantes.P06B_VAR_TEMP_FILTRO);
		P06B64T00Datatype datosAtencionPeticionEnRevision = null;
		if (sObjetivo!=null){
	       if (sObjetivo.equals(((Integer)P06BConstantes.P06B_BUSQCORR_TRAMITEPENDIENTE_INCORPORARDEC).toString())){
	    		bIncorporandoDEC = true;
	    		bIncorporando = true;
	       }else if (sObjetivo.equals(((Integer)P06BConstantes.P06B_BUSQCORR_TRAMITEPENDIENTE_INCORPORARMODTRAMITAGUNE).toString())){
	    		bIncorporandoModTramitagune = true;	    	   
	    		bIncorporando = true;
	       }
		}else{
			datosAtencionPeticionEnRevision = (P06B64T00Datatype)request.getSession().getAttribute("AtencionPeticionEnRevision");
    		if (datosAtencionPeticionEnRevision != null){
        		if (datosAtencionPeticionEnRevision.getProcedimiento().equals(P06BParametros.get("idProcModRegMedSeg"))){
        			bIncorporandoModTramitagune = true;	        			
    	    		bIncorporando = true;
        		}	        			
    		}
		}
		
		String sAEPC = (String)request.getSession().getAttribute(P06BConstantes.P06B_AEP_ACCESOEXPPOR);
		String servletRetorno = P06BPaginas.P06B_JSP_SERVLETCORREDORLISTADO_INJSP;
		String tipoRetorno = "0";
		if (sAEPC.equals(P06BConstantes.P06B_AEP_TRATAMATPETICION)){
			servletRetorno = P06BPaginas.P06B_JSP_SERVLETATENCIONPETICIONESLISTADO_INJSP;
			tipoRetorno = "1";
		}
		
		P06B20T00Datatype vo =  new P06B20T00Datatype();
		P06B20T00Datatype datos20Originales = null;
		P06B60T00Datatype datosCapacidadFinanciera = null;
		boolean bCFOriginalCumplimentar = false;
		boolean bCFContrataSeguro = false;
		boolean bCFContrataAval = false;
		if(request.getSession().getAttribute(P06BConstantes.P06B_VAR_TEMP+"Corredor")!=null){
			vo = (P06B20T00Datatype)request.getSession().getAttribute(P06BConstantes.P06B_VAR_TEMP+"Corredor");
			datosCapacidadFinanciera = vo.getDatosCapacidadFinanciera();
			if (datosCapacidadFinanciera!=null){
				if (datosCapacidadFinanciera.getDatos60Originales()!=null){
					if (datosCapacidadFinanciera.getDatos60Originales().getcFDeclaro()==P06BConstantes.P06B_CF_DEBECUMPLIMENTAR){
						bCFOriginalCumplimentar = true;
						if (datosCapacidadFinanciera.getDatos60Originales().iscFContrataSeguro()){
							bCFContrataSeguro = true;
						}
						if (datosCapacidadFinanciera.getDatos60Originales().iscFContrataAval()){
							bCFContrataAval = true;
						}
					}
				}				
			}
			
// 			P06B64T00Datatype datosUltimaAtencionRevisada = null;
// 			datosUltimaAtencionRevisada = vo.getDatosUltimaAtencionRevisada();
			
			if (bIncorporando){
				datos20Originales = vo.getDatos20Originales();
			}
		}
		expediente = vo.getExpedi();
		
		//String estadoAntiguo = (vo.getEstado()==null)?"":vo.getEstado();
		//Obtener el estado antiguo del corredor de la BD
		String estadoAntiguo = P06BCorredoresManager.getInstance().selectEstadoCorredor(expediente);
		
		P06BCorredorListasAux objListas = null;
		if(request.getSession().getAttribute(P06BConstantes.P06B_VAR_TEMP+"CorredorListasAux")!=null){
			objListas = (P06BCorredorListasAux)request.getSession().getAttribute(P06BConstantes.P06B_VAR_TEMP+"CorredorListasAux");
		}else{
			objListas = new P06BCorredorListasAux();
		}
		ArrayList listaSocios = objListas.getListaSocios();
		ArrayList listaAdministradores = objListas.getListaAdministradores();
		ArrayList listaOrganos = objListas.getListaOrganos();
		ArrayList listaSociosIndirec = objListas.getListaSociosIndirec();
		ArrayList listaAuxExternos = objListas.getListaAuxExternos();
		ArrayList listaDirecTec = objListas.getListaDirecTec();
		ArrayList listaOtrosDirec = objListas.getListaOtrosDirec();
		ArrayList listaSucursales = objListas.getListaSucursales();
		ArrayList listaDefCliente = objListas.getListaDefCliente();
		ArrayList listaDepAtCliente = objListas.getListaDepAtCliente();
		ArrayList listaEVs = objListas.getListaEVs();
	%>
</head>	
<body>
<script type="text/javascript">
	//<!--
		
	var estadoAntiguo_JS = '<%=estadoAntiguo%>';
	var rutaCabecera = "";	//Parametro a pasar desde cada jsp que indique la ruta del mismo
	destinoB = '<%=P06BPaginas.P06B_JSP_SERVLETCORREDORBUSCAR_INJSP%>';
	if (<%=sAEPC.equals(P06BConstantes.P06B_AEP_INCORPMODIF)%>){
		destino = destinoB + "?fromMenu=true&accion=buscar&TramitePendiente=<%=P06BConstantes.P06B_BUSQCORR_TRAMITEPENDIENTE_INCORPORARMODTRAMITAGUNE%>&objetivo=<%=P06BConstantes.P06B_BUSQCORR_TRAMITEPENDIENTE_INCORPORARMODTRAMITAGUNE%>";
		rutaCabecera = "<a class='migaja' href='"+destino+"'>\\"+'<p06b:p06bResEtiquetasTag resource="pantallas.corredor.modificar.incorporarModTramitagune.titulo"/>'+"<\/a>";			
	}else if (<%=sAEPC.equals(P06BConstantes.P06B_AEP_REVISIONALTASBAJAS)%>){
		destino = destinoB + "?fromMenu=true&accion=buscar&TramitePendiente=<%=P06BConstantes.P06B_BUSQCORR_TRAMITEPENDIENTE_REVISARALTASBAJASTRAMITAGUNE%>";
		rutaCabecera += "<a class='migaja' href='"+destino+"'>\\"+'<p06b:p06bResEtiquetasTag resource="menu.opcion.corredores.revisarAltasBajasTramitagune"/>'+"<\/a>";		
	}else if (<%=sAEPC.equals(P06BConstantes.P06B_AEP_TRATAMATPETICION)%>){
		rutaCabecera += "<a class='migaja' href='"+'<%=servletRetorno%>'+"'>\\"+'<p06b:p06bResEtiquetasTag resource="pantallas.literal.atencionPeticiones.listado.titulo"/>'+"<\/a>";			
	}else if (<%=sAEPC.equals(P06BConstantes.P06B_AEP_BUSQUEDA)%>){
		rutaCabecera = "<a class='migaja' href='"+destinoB+"'>\\"+'<p06b:p06bResEtiquetasTag resource="pantallas.corredor.buscar.titulo"/>'+"<\/a>";
		rutaCabecera += "<a class='migaja' href='"+'<%=servletRetorno%>'+"'>\\"+'<p06b:p06bResEtiquetasTag resource="pantallas.corredor.listado.titulo"/>'+"<\/a>";			
	}
<%-- 	if('<%=bIncorporandoDEC%>'=='true'){ --%>
<%-- 		destino = destinoB + "?TramitePendiente=<%=P06BConstantes.P06B_BUSQCORR_TRAMITEPENDIENTE_INCORPORARDEC%>&objetivo=<%=P06BConstantes.P06B_BUSQCORR_TRAMITEPENDIENTE_INCORPORARDEC%>"; --%>
// 		rutaCabecera = "<a class='migaja' href='"+destino+"'>\\"+'<p06b:p06bResEtiquetasTag resource="pantallas.corredor.modificar.incorporarDEC.titulo"/>'+"<\/a>";
<%-- 	}else if ('<%=bIncorporandoModTramitagune%>'=='true'){ --%>
<%-- 		destino = destinoB + "?fromMenu=true&accion=buscar&TramitePendiente=<%=P06BConstantes.P06B_BUSQCORR_TRAMITEPENDIENTE_INCORPORARMODTRAMITAGUNE%>&objetivo=<%=P06BConstantes.P06B_BUSQCORR_TRAMITEPENDIENTE_INCORPORARMODTRAMITAGUNE%>"; --%>
// 		rutaCabecera = "<a class='migaja' href='"+destino+"'>\\"+'<p06b:p06bResEtiquetasTag resource="pantallas.corredor.modificar.incorporarModTramitagune.titulo"/>'+"<\/a>";			
<%-- 	}else if (estadoAntiguo_JS=='<%=P06BConstantes.P06B_CORREDORES_ESTADO_PDTE_ALTA%>' || estadoAntiguo_JS=='<%=P06BConstantes.P06B_CORREDORES_ESTADO_PDTE_BAJA%>'){ --%>
<%-- 		destino = destinoB + "?fromMenu=true&accion=buscar&TramitePendiente=<%=P06BConstantes.P06B_BUSQCORR_TRAMITEPENDIENTE_REVISARALTASBAJASTRAMITAGUNE%>"; --%>
// 		rutaCabecera += "<a class='migaja' href='"+destino+"'>\\"+'<p06b:p06bResEtiquetasTag resource="menu.opcion.corredores.revisarAltasBajasTramitagune"/>'+"<\/a>";		
// 	}else{
// 		rutaCabecera = "<a class='migaja' href='"+destinoB+"'>\\"+'<p06b:p06bResEtiquetasTag resource="pantallas.corredor.buscar.titulo"/>'+"<\/a>";
<%-- 		rutaCabecera += "<a class='migaja' href='"+'<%=servletRetorno%>'+"'>\\"+'<p06b:p06bResEtiquetasTag resource="pantallas.corredor.listado.titulo"/>'+"<\/a>";			 --%>
// 	}
	rutaCabecera += "<a class='migaja' href='"+'<%=P06BPaginas.P06B_JSP_SERVLETCORREDORMODIFICAR_INJSP%>?accion=cambio&Expedi=<%=expediente%>'+"'>\\"+'<p06b:p06bResEtiquetasTag resource="pantallas.corredor.modificar.titulo2"/>'+"<\/a>";
	var NumSolapas=12;
	fijaNumeroSolapas();
	var SolapaActiva=0;
	
	
	//Si el cif/nif es correcto return true, else return false
	function fijaNumeroSolapas(){
		
		NumSolapas=12;
		
		if ( ("<%=vo.getClase()%>"=="<%=P06BConstantes.P06B_AGENTEVINCULADO_FISICA%>")
			|| ("<%=vo.getClase()%>"=="<%=P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA%>")
			|| ("<%=vo.getClase()%>"=="<%=P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA%>")
			|| ("<%=vo.getClase()%>"=="<%=P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA%>") ){
			NumSolapas=13;	  			
		}
		return true; 
	}
			
	//Si el cif/nif es correcto return true, else return false
	function esCorrectoCifNif(){
		//Si el value es "", es pq no se ha seleccionado nada, y eso se controla en la clase junto con todas las
		//validaciones de campos obligatorios, numéricos etc.
		
		//Si es Persona Física
		document.FormCorredoresModificar.DNI.value = trim(document.FormCorredoresModificar.DNI.value);
		document.FormCorredoresModificar.DNI.value = document.FormCorredoresModificar.DNI.value.toUpperCase();
		
		if ( (document.FormCorredoresModificar.Clase.value=="<%=P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA%>")
			|| (document.FormCorredoresModificar.Clase.value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_FISICA%>")
			|| (document.FormCorredoresModificar.Clase.value=="<%=P06BConstantes.P06B_REASEGUROS_FISICA%>") ){
			
			if (document.FormCorredoresModificar.DNI.value != ""){
	  			var dni = document.FormCorredoresModificar.DNI.value;
	  			
	  			//Los DNI que empiecen por "X", que se corresponden con los NIE, los extranjeros,
	  			//se van a almacenar como persona física y solo se va a hacer la comprobacion
	  			//de la longitud, de 9 caracteres
	  			if(dni.substring(0,1).toUpperCase() == "X"){
	  				if (dni.length<9){
		  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0009")%>');
		  				return false;
		  			}
	  			}else{
		  			if (dni.length<8){
		  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  				return false;
		  			}else if (dni.length == 8) {  				
		  			 	if (!comprobar8numeros(dni)){
		  			 		alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  			 		return false;
		  			 	}else{	
		  			 		document.FormCorredoresModificar.DNI.value = document.FormCorredoresModificar.DNI.value + letraNifCorrecta(document.FormCorredoresModificar.DNI.value);
		  			 	}
		  			}else{
		  				var dniSinletra = dni.substring(0,dni.length-1);
		  				if (!comprobar8numeros(dniSinletra)){
		  			 		alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  			 		return false;
		  			 	}
		  				var letra = dni.substring(8).toUpperCase(); 
		  				if (validarEntero(letra) != ""){
		  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  					return false;
		  				}else{ 	  					  				
			  				if(letra != letraNifCorrecta(dniSinletra)){
			  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0003")%> '+letraNifCorrecta(dniSinletra));
			  					return false;
			  				}
		  				}
		  			}
		  		}
	  		}
		
		//Si es Persona Jurídica
		}else if ( (document.FormCorredoresModificar.Clase.value=="<%=P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA%>")
				|| (document.FormCorredoresModificar.Clase.value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA%>")
				|| (document.FormCorredoresModificar.Clase.value=="<%=P06BConstantes.P06B_REASEGUROS_JURIDICA%>")
				|| (document.FormCorredoresModificar.Clase.value=="<%=P06BConstantes.P06B_OPERADORBANCA_VINCULADO%>")
				|| (document.FormCorredoresModificar.Clase.value=="<%=P06BConstantes.P06B_OPERADORBANCA_EXCLUSIVO%>") ){
			
			if (document.FormCorredoresModificar.DNI.value !=""){
	  			var cif = document.FormCorredoresModificar.DNI.value;
	  			if (cif.length<8){
	  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0004")%>');
	  				return false;
	  			}else if (cif.length == 8){
	  				numero = trim(cif.substr(1,7));
					if ((numero.length==0) || (numero.length<7) || (validarEntero(numero) == "")){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0005")%>');
						return false;
					}else if(!esCorrectaLetraCIF(cif.substr(0,1).toUpperCase())){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0008")%>');
						return false;
					}
					document.FormCorredoresModificar.DNI.value = document.FormCorredoresModificar.DNI.value + calculaDigitoControl(cif);
	  			}else{  		
	  				numero = trim(cif.substr(1,7));
					if ((numero.length==0) || (numero.length<7) || (validarEntero(numero) == "")){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0005")%>');
						return false;
					}else if(!esCorrectaLetraCIF(cif.substr(0,1).toUpperCase())){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0008")%>');
						return false;
					}else{
	  					var letra = cif.substring(0,1);   					  					  				
		  				if (validarEntero(letra) != ""){
		  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0006")%>');
		  					return false;
		  				}else{	  
			  				var cif2 = document.FormCorredoresModificar.DNI.value;
			  				if (!ValidaCIF(cif2)){
			  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0007")%> '+calculaDigitoControl(cif2));
			  					return false;	
			  				}
		  				}
		  			}
		  		}
		  	}
		}
		return true; 
	}
			
	function comunAceptar(){
		document.FormCorredoresModificar["Clase"].disabled = false;
		document.FormCorredoresModificar["Estado"].disabled = false;
		
		habilitarCampos();
		
		//Se hace un trim, quitando todos los espacios por delante y por detras, de todos los campos de texto
		for(i=0;i<document.FormCorredoresModificar.elements.length;i++){
	        if(document.FormCorredoresModificar.elements[i].type=="text"){
	            document.FormCorredoresModificar.elements[i].value=trim(document.FormCorredoresModificar.elements[i].value);
	        }
	    }
	}
	
	function anadir(tipo){
		comunAceptar();
		document.FormCorredoresModificar.tablaChange.value=tipo;
		document.FormCorredoresModificar.corrDefCliente.value="";
		document.FormCorredoresModificar.accion.value="tablaChange";
		document.FormCorredoresModificar.submit();
	}
	
	//El correlativo se utiliza para la pestaña Defensor Cliente y Depart. Atencion al cliente e indica en cual añadir la línea para la persona física
	function anadir(tipo, correlativo){
		comunAceptar();
		document.FormCorredoresModificar.tablaChange.value=tipo;
		document.FormCorredoresModificar.corrDefCliente.value=correlativo;
		document.FormCorredoresModificar.accion.value="tablaChange";
		document.FormCorredoresModificar.submit();
	}
	
	function quitarTabla(tabla,id){
		comunAceptar();
		document.FormCorredoresModificar.tablaChange.value=tabla;
		document.FormCorredoresModificar.idTablaDelete.value=id;
		document.FormCorredoresModificar.corrDefCliente.value="";
		document.FormCorredoresModificar.accion.value="tablaDelete";
		document.FormCorredoresModificar.submit();
	}
	
	//El correlativo se utiliza para la pestaña Defensor Cliente y Depart. Atencion al cliente e indica en cual eliminar la línea para la persona física
	function quitarTabla(tabla,id, correlativo){
		comunAceptar();
		document.FormCorredoresModificar.tablaChange.value=tabla;
		document.FormCorredoresModificar.idTablaDelete.value=id;
		document.FormCorredoresModificar.corrDefCliente.value=correlativo;
		document.FormCorredoresModificar.accion.value="tablaDelete";
		document.FormCorredoresModificar.submit();
	}
	
	//El cargo se utiliza para los admins y direcs, para saber cual eliminar si el valor del DNI es el mismo
	function quitarTablaDNICargo(tabla,id,cargo){
		comunAceptar();
		document.FormCorredoresModificar.tablaChange.value=tabla;
		document.FormCorredoresModificar.idTablaDelete.value=id;
		document.FormCorredoresModificar.corrDefCliente.value="";
		document.FormCorredoresModificar.idCargoDelete.value=cargo;
		document.FormCorredoresModificar.accion.value="tablaDelete";
		document.FormCorredoresModificar.submit();
	}
	
	function retornar(){
		document.FormCorredoresModificarListado.submit();
	}
		
	function aceptar(subaccion){
		//Validacion del cif/nif
		if (!esCorrectoCifNif()){
			return;
		}
		
		
		//Si se ha modificado el estado del expediente, se pide su confirmacion para guardar
		if ((estadoAntiguo_JS != document.FormCorredoresModificar.Estado.value) && (!confirm('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0001")%>'))){
			return;
		}

		if(document.FormCorredoresModificar["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_ALTA%>"){
			document.FormCorredoresModificar["FechaBaj"].value="";
			document.FormCorredoresModificar["MotivoB"].value="";
			document.FormCorredoresModificar["FechaSus"].value="";
			document.FormCorredoresModificar["MotivoS"].value="";
			document.FormCorredoresModificar["FecFinSu"].value="";
		}else if(document.FormCorredoresModificar["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_REVISION%>" || 
			document.FormCorredoresModificar["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_ALTA_RECHAZADA%>"){
			document.FormCorredoresModificar["FechaBaj"].value="";
			document.FormCorredoresModificar["MotivoB"].value="";
			document.FormCorredoresModificar["FechaSus"].value="";
			document.FormCorredoresModificar["MotivoS"].value="";
			document.FormCorredoresModificar["FecFinSu"].value="";
		}else if(document.FormCorredoresModificar["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_PDTE_ALTA%>"){
	 		document.FormCorredoresModificar["FechaBaj"].value="";
	 		document.FormCorredoresModificar["MotivoB"].value="";
	 		document.FormCorredoresModificar["FechaSus"].value="";
	 		document.FormCorredoresModificar["MotivoS"].value="";
	 		document.FormCorredoresModificar["FecFinSu"].value="";
		}else if(document.FormCorredoresModificar["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_SUSPENSION%>"){
			document.FormCorredoresModificar["FechaBaj"].value="";
			document.FormCorredoresModificar["MotivoB"].value="";
		}else if(document.FormCorredoresModificar["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_BAJA%>"){
			document.FormCorredoresModificar["FechaSus"].value="";
			document.FormCorredoresModificar["MotivoS"].value="";
			document.FormCorredoresModificar["FecFinSu"].value="";
		}

		comunAceptar();
		document.FormCorredoresModificar.accion.value="modificar";
		if (estadoAntiguo_JS == '<%=P06BConstantes.P06B_CORREDORES_ESTADO_PDTE_ALTA%>'){
			if (subaccion == '<%=P06BConstantes.P06B_AP_ESTADO_RECHAZADA%>'){
				document.FormCorredoresModificar.Estado.value='<%=P06BConstantes.P06B_CORREDORES_ESTADO_ALTA_RECHAZADA%>';				
			}else{
				document.FormCorredoresModificar.Estado.value='<%=P06BConstantes.P06B_CORREDORES_ESTADO_ALTA%>';				
			}	
		}else if (estadoAntiguo_JS == '<%=P06BConstantes.P06B_CORREDORES_ESTADO_PDTE_BAJA%>'){
			if (subaccion == '<%=P06BConstantes.P06B_AP_ESTADO_RECHAZADA%>'){
				document.FormCorredoresModificar.Estado.value='<%=P06BConstantes.P06B_CORREDORES_ESTADO_ALTA%>';				
			}else{
				document.FormCorredoresModificar.Estado.value='<%=P06BConstantes.P06B_CORREDORES_ESTADO_BAJA%>';				
			}	
		}
		document.FormCorredoresModificar.subaccion.value=subaccion;
		document.FormCorredoresModificar.submit();
	}
	
	function documentos(preguntar){
		
		if (preguntar){
			var btnPulsado = window.showModalDialog("<%=P06BPaginas.P06B_HTM_PATH%>/confirmDocumentos.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:500px;dialogHeight:150px");
			
			if (btnPulsado=="S"){//Ha pulsado el boton SI guardar cambios antes de ir a Ficheros
				//Hace lo mismo que el botón Aceptar, pero en el caso de que todos los datos sean correctos, 
				//en lugar de mostrar un mensaje de expediente guardado correctamente, redirijirá a la pantalla de Ficheros.
				
				//Validacion del cif/nif
				if (!esCorrectoCifNif()){
					return;
				}
				
				//Si se ha modificado el estado del expediente, se pide su confirmacion para guardar
				if ((estadoAntiguo_JS != document.FormCorredoresModificar.Estado.value) && (!confirm('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0001")%>'))){
					return;
				}
		
				comunAceptar();
				document.FormCorredoresModificar.accion.value="adjuntarDocsEnModif";
				document.FormCorredoresModificar.submit();
			
			}else if (btnPulsado=="N"){//Ha pulsado NO guardar antes de ir a Ficheros
				document.FormAdjuntarFicheros.submit();
			
			}else{//Boton Cancelar o aspa, no hace nada
				return;
			}
			
		}else{
			document.FormAdjuntarFicheros.submit();			
		}
	}

	function nuevo(){
		document.FormCorredoresModificarNuevo.submit();
	}
	
	function inicializa(){
		fcambiaTipoPer();
		fcambiaEstado();
		iniciaCurso();
		iniciaAcredita();				
		<%if (vo.getDatosAtencionPeticionEnRevision()==null||vo.getDatosAtencionPeticionEnRevision().isbActualizarCapacidadFinanciera()){
		 	if(vo.getClase().equals(P06BConstantes.P06B_AGENTEVINCULADO_FISICA) ||
				vo.getClase().equals(P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA) ||
				vo.getClase().equals(P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA) ||
				vo.getClase().equals(P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA)){%>
				iniciaCapacidadFinanciera();
			<%}
		}%>

		document.FormCorredoresModificar["Clase"].disabled = true;
		
		formatearCamposPantalla();
		
		if (estadoAntiguo_JS=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_BAJA%>"){
			deshabilitarPorBaja();
			document.FormCorredoresModificar.elements['Estado'].disabled=true;
		}else if (estadoAntiguo_JS=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_PDTE_BAJA%>"){
// 			deshabilitarPorPdteBaja();
			deshabilitarTotal();
		}else if (estadoAntiguo_JS=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_PDTE_ALTA%>"){
			deshabilitarTotal();
		}else if (estadoAntiguo_JS=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_ALTA_RECHAZADA%>"){
			deshabilitarTotal();
		}else{
			if (<%=vo.getDatosAtencionPeticionEnRevision()!=null%>){
				deshabilitarTotal();				
			}
<%-- 			if (<%=vo.getDatosAtencionPeticionEnRevision()!=null&&!vo.getDatosAtencionPeticionEnRevision().isbActualizarDomicilioSocial()%>){ --%>
// 				deshabilitarDomicilio();				
// 			}
<%-- 			if (<%=vo.getDatosAtencionPeticionEnRevision()!=null&&!vo.getDatosAtencionPeticionEnRevision().isbActualizarCapitalSocial()%>){ --%>
// 				deshabilitarCapital();				
// 			}
		}
		
<%-- 		<%if (bIncorporando){ --%>
// 			if (vo.getEstadoAceptarPropuestas()==P06BConstantes.P06B_AP_ESTADO_APROBADA || vo.getEstadoAceptarPropuestas()==P06BConstantes.P06B_AP_ESTADO_RECHAZADA){%>
// 				document.getElementById("btnAceptar").disabled = false;	
<%-- 			<%}else{%> --%>
// 				document.getElementById("btnAceptar").disabled = true;				
<%-- 			<%} --%>
// 		}else{%>
// 			document.getElementById("btnAceptar").disabled = false;				
<%-- 		<%}%> --%>
	}
	
	function deshabilitarPorBaja(){
		//Deshabilita todos los campos y enlaces: (+) y (-) de pantalla de todas las pestañas, excepto los botones.
		//En esta funcion tb se deshabilita la lista de Estado: Ata , Baja, Suspension. Pero se permite introducir la fecha baja y motivo.
	    for(i=0;i<document.FormCorredoresModificar.elements.length;i++){
	        if(document.FormCorredoresModificar.elements[i].type!="hidden" && document.FormCorredoresModificar.elements[i].type!="button" && document.FormCorredoresModificar.elements[i].name != "FechaBaj" && document.FormCorredoresModificar.elements[i].name != "MotivoB" && document.FormCorredoresModificar.elements[i].name != "Expedi" && document.FormCorredoresModificar.elements[i].name != "Clase" && document.FormCorredoresModificar.elements[i].name != "Estado"){
	            document.FormCorredoresModificar.elements[i].disabled=true;
	        }
	    }
	    enlaces=document.links;
	    for (i=0;i<enlaces.length;i++){
	        if (enlaces[i].innerHTML.indexOf("+)")>0 || enlaces[i].innerHTML.indexOf("-)")>0 || enlaces[i].name.indexOf("nadirResp_DepAtCliente_")>0){
	        	enlaces[i].style.visibility="hidden";
	        }
	    }
	    
	    //Para los defensores de cliente y departamentos de atención al cliente, 
	    //deshabilitar el enlace que permite añadir personas físicas s los de tipo jurídico
	    divsForm = document.getElementsByTagName('div');
	    for (i=0;i<divsForm.length;i++){
	        if (divsForm[i].id.indexOf("nadirPF_defCliente_")>0 || divsForm[i].id.indexOf("nadirPF_depAtCliente_")>0){
	        	divsForm[i].style.visibility="hidden";
	        }
	    }
	}
	
	function deshabilitarPorPdteBaja(){
		//Deshabilita todos los campos y enlaces: (+) y (-) de pantalla de todas las pestañas, excepto los botones.
		//En esta funcion tb se deshabilita la lista de Estado: Ata , Baja, Suspension. Pero se permite introducir la fecha baja y motivo.
	    for(i=0;i<document.FormCorredoresModificar.elements.length;i++){
	        if(document.FormCorredoresModificar.elements[i].type!="hidden" && document.FormCorredoresModificar.elements[i].type!="button" && document.FormCorredoresModificar.elements[i].name != "FechaBaj" && document.FormCorredoresModificar.elements[i].name != "MotivoB" && document.FormCorredoresModificar.elements[i].name != "Expedi" && document.FormCorredoresModificar.elements[i].name != "Clase" && document.FormCorredoresModificar.elements[i].name != "Estado"){
	            document.FormCorredoresModificar.elements[i].disabled=true;
	        }
	    }
	    enlaces=document.links;
	    for (i=0;i<enlaces.length;i++){
	        if (enlaces[i].innerHTML.indexOf("+)")>0 || enlaces[i].innerHTML.indexOf("-)")>0 || enlaces[i].name.indexOf("nadirResp_DepAtCliente_")>0){
	        	enlaces[i].style.visibility="hidden";
	        }
	    }
	    
	    //Para los defensores de cliente y departamentos de atención al cliente, 
	    //deshabilitar el enlace que permite añadir personas físicas s los de tipo jurídico
	    divsForm = document.getElementsByTagName('div');
	    for (i=0;i<divsForm.length;i++){
	        if (divsForm[i].id.indexOf("nadirPF_defCliente_")>0 || divsForm[i].id.indexOf("nadirPF_depAtCliente_")>0){
	        	divsForm[i].style.visibility="hidden";
	        }
	    }
	}
	
	function deshabilitarExceptoEstado(){
		//Deshabilita todos los campos y enlaces: (+) y (-) de pantalla de todas las pestañas, 
		//excepto los botones y la lista de Estado: Alta , Baja
	    for(i=0;i<document.FormCorredoresModificar.elements.length;i++){
	        if(document.FormCorredoresModificar.elements[i].type!="hidden" && document.FormCorredoresModificar.elements[i].type!="button" && document.FormCorredoresModificar.elements[i].name != "Estado" && document.FormCorredoresModificar.elements[i].name != "Expedi" && document.FormCorredoresModificar.elements[i].name != "Clase"){
	            document.FormCorredoresModificar.elements[i].disabled=true;
	        }
	    }
	    enlaces=document.links;
	    for (i=0;i<enlaces.length;i++){
	        if (enlaces[i].innerHTML.indexOf("+)")>0 || enlaces[i].innerHTML.indexOf("-)")>0 || enlaces[i].name.indexOf("nadirResp_DepAtCliente_")>0){
	        	enlaces[i].style.visibility="hidden";
	        }
	    }

	    //Para los defensores de cliente y departamentos de atención al cliente, 
	    //deshabilitar el enlace que permite añadir personas físicas s los de tipo jurídico
	    divsForm = document.getElementsByTagName('div');
	    for (i=0;i<divsForm.length;i++){
	        if (divsForm[i].id.indexOf("nadirPF_defCliente_")>0 || divsForm[i].id.indexOf("nadirPF_depAtCliente_")>0){
	        	divsForm[i].style.visibility="hidden";
	        }
	    }	    
	}
	
	function deshabilitarTotal(){
		//Deshabilita todos los campos y enlaces: (+) y (-) de pantalla de todas las pestañas, 
		//excepto los botones y la lista de Estado: Alta , Baja
	    for(i=0;i<document.FormCorredoresModificar.elements.length;i++){
	        if(document.FormCorredoresModificar.elements[i].type!="hidden" && document.FormCorredoresModificar.elements[i].type!="button" && document.FormCorredoresModificar.elements[i].name != "Expedi"){
	            document.FormCorredoresModificar.elements[i].disabled=true;
	        }
	    }
	    enlaces=document.links;
	    for (i=0;i<enlaces.length;i++){
	        if (enlaces[i].innerHTML.indexOf("+)")>0 || enlaces[i].innerHTML.indexOf("-)")>0 || enlaces[i].name.indexOf("nadirResp_DepAtCliente_")>0){
	        	enlaces[i].style.visibility="hidden";
	        }
	    }

	    //Para los defensores de cliente y departamentos de atención al cliente, 
	    //deshabilitar el enlace que permite añadir personas físicas s los de tipo jurídico
	    divsForm = document.getElementsByTagName('div');
	    for (i=0;i<divsForm.length;i++){
	        if (divsForm[i].id.indexOf("nadirPF_defCliente_")>0 || divsForm[i].id.indexOf("nadirPF_depAtCliente_")>0){
	        	divsForm[i].style.visibility="hidden";
	        }
	    }	    
	}
	
	function deshabilitarDomicilio(){
		//Deshabilita todos los campos y enlaces: (+) y (-) de pantalla de todas las pestañas, 
		//excepto los botones y la lista de Estado: Alta , Baja
	    for(i=0;i<document.FormCorredoresModificar.elements.length;i++){
	        if(document.FormCorredoresModificar.elements[i].type!="hidden" && document.FormCorredoresModificar.elements[i].type!="button"){
	        	if (document.FormCorredoresModificar.elements[i].name == "Telefot" ||
	        		document.FormCorredoresModificar.elements[i].name == "Mail" ||
	        		document.FormCorredoresModificar.elements[i].name == "Web"){
		            document.FormCorredoresModificar.elements[i].disabled=true;	        		
	        	}
	        }
	    }
	}
	
	function deshabilitarCapital(){
		//Deshabilita todos los campos y enlaces: (+) y (-) de pantalla de todas las pestañas, 
		//excepto los botones y la lista de Estado: Alta , Baja
	    for(i=0;i<document.FormCorredoresModificar.elements.length;i++){
	        if(document.FormCorredoresModificar.elements[i].type!="hidden" && document.FormCorredoresModificar.elements[i].type!="button"){
	        	if (document.FormCorredoresModificar.elements[i].name == "Capsoc" ||
	        		document.FormCorredoresModificar.elements[i].name == "Paticipa"){
		            document.FormCorredoresModificar.elements[i].disabled=true;	        		
	        	}
	        }
	    }
	}
	
	function habilitarCampos(){
		//Habilita todos los campos de pantalla de todas las pestañas
// 		for(i=0;i<document.FormCorredoresModificar.elements.length;i++){
// 	        if(document.FormCorredoresModificar.elements[i].type!="hidden" && document.FormCorredoresModificar.elements[i].type!="button" && document.FormCorredoresModificar.elements[i].name != "Estado" && document.FormCorredoresModificar.elements[i].name != "FechaBaj" && document.FormCorredoresModificar.elements[i].name != "MotivoB" && document.FormCorredoresModificar.elements[i].name != "Expedi" && document.FormCorredoresModificar.elements[i].name != "Clase"){
// 	            document.FormCorredoresModificar.elements[i].disabled=false;
// 	        }
// 	    }
		for(i=0;i<document.FormCorredoresModificar.elements.length;i++){
	        if(document.FormCorredoresModificar.elements[i].type!="hidden" && document.FormCorredoresModificar.elements[i].type!="button" && document.FormCorredoresModificar.elements[i].name != "Estado" && document.FormCorredoresModificar.elements[i].name != "Expedi" && document.FormCorredoresModificar.elements[i].name != "Clase"){
	            document.FormCorredoresModificar.elements[i].disabled=false;
	        }
	    }
	    enlaces=document.links;
	    for (i=0;i<enlaces.length;i++){
	        if (enlaces[i].innerHTML.indexOf("+)")>0 || enlaces[i].innerHTML.indexOf("-)")>0 || enlaces[i].name.indexOf("nadirResp_DepAtCliente_")>0){
	        	enlaces[i].style.visibility="visible";
	        }
	    }
	    
   	    //Para los defensores de cliente y departamentos de atención al cliente,
	    //habilitar el enlace que permite añadir personas físicas SOLO a los de tipo jurídico
	    var divsForm = document.getElementsByTagName('div');
	    var idDiv;
	    var fragmentoIdDiv;
	    var numDefensor;
	    for (i=0;i<divsForm.length;i++){
	    	//Si es defensor
	        if (divsForm[i].id.indexOf("nadirPF_defCliente_")>0){
	        	idDiv = divsForm[i].id;
	        	fragmentoIdDiv = idDiv.split('_');
	        	numDefensor = fragmentoIdDiv[2];//Coger el nº del defensor, que se encuentra en la posicon 2, Ej. "anadirPF_defCliente_0"
	        	
	        	if(eval("document.FormCorredoresModificar.tipo_defCliente_"+numDefensor+".value") != null 
	        		&& eval("document.FormCorredoresModificar.tipo_defCliente_"+numDefensor+".value") != "" 
	        		&& eval("document.FormCorredoresModificar.tipo_defCliente_"+numDefensor+".value")== '<%=P06BConstantes.P06B_PERSONA_JURIDICA%>'){
	        		divsForm[i].style.visibility="visible";
	        	}
	        }
	        
	        //Si es departamento
	        if (divsForm[i].id.indexOf("nadirPF_depAtCliente_")>0){
	        	idDiv = divsForm[i].id;
	        	fragmentoIdDiv = idDiv.split('_');
	        	numDefensor = fragmentoIdDiv[2];//Coger el nº del departamento, que se encuentra en la posicon 2, Ej. "anadirPF_depAtCliente_0"
	        	
	        	if(eval("document.FormCorredoresModificar.tipo_depAtCliente_"+numDefensor+".value") != null 
	        		&& eval("document.FormCorredoresModificar.tipo_depAtCliente_"+numDefensor+".value") != "" 
	        		&& eval("document.FormCorredoresModificar.tipo_depAtCliente_"+numDefensor+".value")== '<%=P06BConstantes.P06B_PERSONA_JURIDICA%>'){
	        		divsForm[i].style.visibility="visible";
	        	}
	        }
	        
	    }	    
	}
	
	function cambiaExp(){
		if(document.FormCorredoresModificar.Expedi.value!=""){
			document.FormCorredoresModificar.accion.value="cambio";
		}
		document.FormCorredoresModificar.action='<%=P06BPaginas.P06B_JSP_SERVLETCORREDORMODIFICAR_INJSP%>';
		document.FormCorredoresModificar.submit();
	}

	function iniciaCurso(){
		if(document.FormCorredoresModificar["Curso"][0].checked==false
			&& document.FormCorredoresModificar["Curso"][1].checked==false){
			document.FormCorredoresModificar["Curso"][0].checked=true;
			document.getElementById("bloqueCurso").style.display="";
		}else{
			cambiaCurso();
		}
	}
	
	function cambiaCurso(){
		if(document.FormCorredoresModificar["Curso"][0].checked==true){
			document.getElementById("bloqueCurso").style.display="";
		}else{
			document.FormCorredoresModificar["DenCurso"].value="";
			document.getElementById("bloqueCurso").style.display="none";
		}
	}
	
	function iniciaCapacidadFinanciera(){
		if(document.FormCorredoresModificar["CapacidadFinanciera"][0].checked==false
			&& document.FormCorredoresModificar["CapacidadFinanciera"][1].checked==false
			&& document.FormCorredoresModificar["CapacidadFinanciera"][2].checked==false
			&& document.FormCorredoresModificar["CapacidadFinanciera"][3].checked==false){
			document.FormCorredoresModificar["CapacidadFinanciera"][0].checked=true;
		}
		cambiaCapacidadFinanciera();
	}
	
	function cambiaCapacidadFinanciera(){
		if (document.FormCorredoresModificar["CapacidadFinanciera"][1].checked==true){
			deshabilitaCFCamposAdicionales(false);
		}else{
			deshabilitaCFCamposAdicionales(true);
		}
		
		if (document.FormCorredoresModificar["CapacidadFinanciera"][1].checked==true || <%=bCFOriginalCumplimentar%> ){
			document.getElementById("bloqueCapacidadFinanciera").style.display="";
			document.getElementById("cb_ContrataSeguro").style.display="";
			document.getElementById("cb_ContrataAval").style.display="";
			if (<%=bCFOriginalCumplimentar%>){
				document.getElementById("CapacidadFinanciera_impFondosOriginal").style.display="";
				document.getElementById("CapacidadFinanciera_impCapacidadOriginal").style.display="";				
			}
			
			cambiaContrataSeguro();
			cambiaContrataAval();
		}else{
			document.getElementById("bloqueCapacidadFinanciera").style.display="none";
			if (<%=bCFOriginalCumplimentar%>){
				document.getElementById("CapacidadFinanciera_impFondosOriginal").style.display="none";
				document.getElementById("CapacidadFinanciera_impCapacidadOriginal").style.display="none";
			}
			document.getElementById("cb_ContrataSeguro").style.display="none";
			document.getElementById("cb_ContrataAval").style.display="none";
		}

	}
	
	function cambiaDefensaAtencionCliente(){
		document.FormCorredoresModificar.accion.value="cambiaDefensaAtencionCliente";
		comunAceptar();
		document.FormCorredoresModificar.action='<%=P06BPaginas.P06B_JSP_SERVLETCORREDORMODIFICAR_INJSP%>';
		document.FormCorredoresModificar.submit();
	}
	
	function cambiaContrataSeguro(){
		if(document.getElementById("cb_ContrataSeguro").checked==true){
			document.getElementById("bloqueContrataSeguro").style.display="";
		}else{
			document.getElementById("bloqueContrataSeguro").style.display="none";
		}
		if (<%=bCFContrataSeguro%>){
			document.getElementById("bloqueContrataSeguroOriginal").style.display="";
		}
	}
	
	function cambiaContrataAval(){
		if(document.getElementById("cb_ContrataAval").checked==true){
			document.getElementById("bloqueContrataAval").style.display="";
		}else{
			document.getElementById("bloqueContrataAval").style.display="none";
		}
		if (<%=bCFContrataAval%>){
			document.getElementById("bloqueContrataAvalOriginal").style.display="";
		}
	}
	
	function deshabilitaCFCamposAdicionales(deshabilita){
		document.getElementById("CapacidadFinanciera_impFondos").disabled=deshabilita;
		document.getElementById("CapacidadFinanciera_impCapacidad").disabled=deshabilita;
		document.getElementById("cb_ContrataSeguro").disabled=deshabilita;
		document.getElementById("CapacidadFinanciera_textoSeguro").disabled=deshabilita;
		document.getElementById("cb_ContrataAval").disabled=deshabilita;
		document.getElementById("CapacidadFinanciera_textoAval").disabled=deshabilita;
	}
	
	function visualizaCFCamposAdicionalesOriginales(visualiza){
		if (visualiza){
			
		}else{
			document.getElementById("CapacidadFinanciera_impFondosOriginal").style.display="none";
			document.getElementById("CapacidadFinanciera_impCapacidadOriginal").style.display="none";
			document.getElementById("cb_ContrataSeguroOriginal").style.display="none";
			document.getElementById("CapacidadFinanciera_textoSeguroOriginal").style.display="none";
			document.getElementById("cb_ContrataAvalOriginal").style.display="none";
			document.getElementById("CapacidadFinanciera_textoAvalOriginal").style.display="none";
		}
	}
	
// 	function cambiaAceptarRechazar(){
<%-- 		if (<%=bIncorporando%>){ --%>
// 			if (document.FormCorredoresModificar["estadoAceptarPropuestas"][0].checked==true || document.FormCorredoresModificar["estadoAceptarPropuestas"][1].checked==true){
// 				document.getElementById("btnAceptar").disabled = false;				
// 			}else{
// 				document.getElementById("btnAceptar").disabled = true;	
// 			}
// 		}
// 	}
	
	function iniciaAcredita(){
		if(document.FormCorredoresModificar["Acredita"][0].checked==false
			&& document.FormCorredoresModificar["Acredita"][1].checked==false){
			document.FormCorredoresModificar["Acredita"][0].checked=true;
			document.getElementById("bloqueAcredita").style.display="";
		}else{
			cambiaAcredita();
		}
	}
	
	function cambiaAcredita(){
		if(document.FormCorredoresModificar["Acredita"][0].checked==true){
			document.getElementById("bloqueAcredita").style.display="";
		}else{
			document.FormCorredoresModificar["DAcredita"].value="";
			document.getElementById("bloqueAcredita").style.display="none";
		}
	}
	
	function fcambiaTipoPer(){
		if(document.FormCorredoresModificar["Clase"].value==""){
			//Oculto Todo
			document.FormCorredoresModificar["RazSoc"].value="";
			document.FormCorredoresModificar["Nombre"].value="";
			document.FormCorredoresModificar["Ape1"].value="";
			document.FormCorredoresModificar["Ape2"].value="";
			document.getElementById("bloquePerJuridico").style.display="none";
			document.getElementById("bloquePerFisico").style.display="none";
		}else if( (document.FormCorredoresModificar["Clase"].value=="<%=P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA%>")
				|| (document.FormCorredoresModificar["Clase"].value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA%>") 
				|| (document.FormCorredoresModificar["Clase"].value=="<%=P06BConstantes.P06B_REASEGUROS_JURIDICA%>")
				|| (document.FormCorredoresModificar["Clase"].value=="<%=P06BConstantes.P06B_OPERADORBANCA_VINCULADO%>")
				|| (document.FormCorredoresModificar["Clase"].value=="<%=P06BConstantes.P06B_OPERADORBANCA_EXCLUSIVO%>") ){
			document.FormCorredoresModificar["Nombre"].value="";
			document.FormCorredoresModificar["Ape1"].value="";
			document.FormCorredoresModificar["Ape2"].value="";
			document.getElementById("bloquePerJuridico").style.display="";
			document.getElementById("bloquePerFisico").style.display="none";
		}else if( (document.FormCorredoresModificar["Clase"].value=="<%=P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA%>")
				|| (document.FormCorredoresModificar["Clase"].value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_FISICA%>") 
				|| (document.FormCorredoresModificar["Clase"].value=="<%=P06BConstantes.P06B_REASEGUROS_FISICA%>") ){
			document.FormCorredoresModificar["RazSoc"].value="";
			document.getElementById("bloquePerFisico").style.display="";
			document.getElementById("bloquePerJuridico").style.display="none";
		}
		if( (document.FormCorredoresModificar["Clase"].value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_FISICA%>")
				|| (document.FormCorredoresModificar["Clase"].value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA%>") 
				|| (document.FormCorredoresModificar["Clase"].value=="<%=P06BConstantes.P06B_OPERADORBANCA_VINCULADO%>")
				|| (document.FormCorredoresModificar["Clase"].value=="<%=P06BConstantes.P06B_OPERADORBANCA_EXCLUSIVO%>") ){
			document.getElementById("Solapa_11").style.display="";
			document.getElementById("SolapaResto_11").style.display="";
		}else{
			document.getElementById("Solapa_11").style.display="none";
			document.getElementById("SolapaResto_11").style.display="none";
		}		
		if (document.FormCorredoresModificar.numPest.value==11){
			if( (document.FormCorredoresModificar["Clase"].value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_FISICA%>")
					|| (document.FormCorredoresModificar["Clase"].value=="<%=P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA%>") 
					|| (document.FormCorredoresModificar["Clase"].value=="<%=P06BConstantes.P06B_OPERADORBANCA_VINCULADO%>")
					|| (document.FormCorredoresModificar["Clase"].value=="<%=P06BConstantes.P06B_OPERADORBANCA_EXCLUSIVO%>") ){
				document.getElementById("ElemSolapa_11").style.display="";
			}else{
				document.getElementById("ElemSolapa_11").style.display="none";
			}		
		}
	}
	
	
	function fcambiaEstado(){
		if(document.FormCorredoresModificar["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_BAJA%>" ||
			document.FormCorredoresModificar["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_PDTE_BAJA%>"){
			mostrarColumna('tablaEstadoTitulos',1);
			mostrarColumna('tablaEstadoTitulos',2);
			mostrarColumna('tablaEstadoInputs',1);
			mostrarColumna('tablaEstadoInputs',2);
		}else{
			ocultarColumna('tablaEstadoTitulos',1);
			ocultarColumna('tablaEstadoTitulos',2);
			ocultarColumna('tablaEstadoInputs',1);
			ocultarColumna('tablaEstadoInputs',2);
		}
		if(document.FormCorredoresModificar["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_SUSPENSION%>"){
			mostrarColumna('tablaEstadoTitulos',3);
			mostrarColumna('tablaEstadoTitulos',4);
			mostrarColumna('tablaEstadoTitulos',5);
			mostrarColumna('tablaEstadoInputs',3);
			mostrarColumna('tablaEstadoInputs',4);
			mostrarColumna('tablaEstadoInputs',5);
		}else{
			ocultarColumna('tablaEstadoTitulos',3);
			ocultarColumna('tablaEstadoTitulos',4);
			ocultarColumna('tablaEstadoTitulos',5);
			ocultarColumna('tablaEstadoInputs',3);
			ocultarColumna('tablaEstadoInputs',4);
			ocultarColumna('tablaEstadoInputs',5);
		}
		
		if (<%=estadoAntiguo.equals(P06BConstantes.P06B_CORREDORES_ESTADO_PDTE_ALTA)%> ||
			<%=estadoAntiguo.equals(P06BConstantes.P06B_CORREDORES_ESTADO_PDTE_BAJA)%>){
			return;
		}
		habilitarCampos();
		if(document.FormCorredoresModificar["Estado"].value=="" ||
				document.FormCorredoresModificar["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_ALTA%>"){
// 			document.FormCorredoresModificar["FechaBaj"].value="";
// 			document.FormCorredoresModificar["MotivoB"].value="";
// 			document.FormCorredoresModificar["FechaSus"].value="";
// 			document.FormCorredoresModificar["MotivoS"].value="";
// 			document.FormCorredoresModificar["FecFinSu"].value="";
		}else if(document.FormCorredoresModificar["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_REVISION%>" || 
				document.FormCorredoresModificar["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_ALTA_RECHAZADA%>"){
// 			document.FormCorredoresModificar["FechaBaj"].value="";
// 			document.FormCorredoresModificar["MotivoB"].value="";
// 			document.FormCorredoresModificar["FechaSus"].value="";
// 			document.FormCorredoresModificar["MotivoS"].value="";
// 			document.FormCorredoresModificar["FecFinSu"].value="";
		}else if(document.FormCorredoresModificar["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_SUSPENSION%>"){
// 			document.FormCorredoresModificar["FechaBaj"].value="";
// 			document.FormCorredoresModificar["MotivoB"].value="";
		}else if(document.FormCorredoresModificar["Estado"].value=="<%=P06BConstantes.P06B_CORREDORES_ESTADO_BAJA%>"){
			//Habilito campos
// 			document.FormCorredoresModificar["FechaSus"].value="";
// 			document.FormCorredoresModificar["MotivoS"].value="";
// 			document.FormCorredoresModificar["FecFinSu"].value="";
			deshabilitarPorBaja();
		}
	}
	
	
	function ocultarColumna(tabla,num){ 
	  //aquí utilizamos el id de la tabla, en este caso es 'tabla'
	   fila=document.getElementById(tabla).getElementsByTagName('tr');
	 
	    //mostramos u ocultamos las celdas de la columna seleccionada
	   for(i=0;i<fila.length;i++)
	     {
	         if (fila[i].getElementsByTagName('td')[num].style.display=='none')
	             {
	                 fila[i].getElementsByTagName('td')[num].style.display='none';  
	             }      
	        else
	             {
	              fila[i].getElementsByTagName('td')[num].style.display='none'
	             }       
	    }         
	    
	}

	function mostrarColumna(tabla,num){ 
		  //aquí utilizamos el id de la tabla, en este caso es 'tabla'
		   fila=document.getElementById(tabla).getElementsByTagName('tr');
		 
		    //mostramos u ocultamos las celdas de la columna seleccionada
		   for(i=0;i<fila.length;i++)
		     {
		         if (fila[i].getElementsByTagName('td')[num].style.display=='none')
		             {
		                 fila[i].getElementsByTagName('td')[num].style.display='';  
		             }      
		        else
		             {
		              fila[i].getElementsByTagName('td')[num].style.display=''
		             }       
		    }         
		    
		}

	function fActivaSolapa(num) 
	{
        SolapaActiva=num;
        for (var i=0; i<NumSolapas; i++){
        	if (i===5 || i===6){
				continue;
			}
			if ((i===2 || i===3 || i===8) && <%=bIncorporandoModTramitagune%>){
				continue;
			}
			if (i==1){
				if (<%=vo.getDatosAtencionPeticionEnRevision()!=null&&!vo.getDatosAtencionPeticionEnRevision().isbActualizarCapitalSocial()%>){
						continue;
				}
			}
			if (i==4){
				if (<%=vo.getDatosAtencionPeticionEnRevision()!=null&&!vo.getDatosAtencionPeticionEnRevision().isbActualizarOrganoDireccion()%>){
					continue;
				}
			}
			if (i==7){
				if (<%=vo.getDatosAtencionPeticionEnRevision()!=null&&!vo.getDatosAtencionPeticionEnRevision().isbActualizarAdministradores()%>){
					continue;
				}
			}
			if (i==10){
				continue;
			}			
			if (i==9){
				if (<%=vo.getDatosAtencionPeticionEnRevision()!=null&&!vo.getDatosAtencionPeticionEnRevision().isbActualizarAtencionDefensaCliente()%>){
					continue;
				}
				<%if (!vo.getClase().equals(P06BConstantes.P06B_REASEGUROS_CTEEXP_FISICA) &&
						 !vo.getClase().equals(P06BConstantes.P06B_REASEGUROS_CTEEXP_JURIDICA) &&
						 !vo.getClase().equals(P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA) &&
						 !vo.getClase().equals(P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA)){%>
					continue;
				<%}%>
			}
			if (i==12){
				if (<%=vo.getDatosAtencionPeticionEnRevision()!=null&&!vo.getDatosAtencionPeticionEnRevision().isbActualizarCapacidadFinanciera()%>){
					continue;
				}
				<%if (!vo.getClase().equals(P06BConstantes.P06B_AGENTEVINCULADO_FISICA) &&
						 !vo.getClase().equals(P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA) &&
						 !vo.getClase().equals(P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA) &&
						 !vo.getClase().equals(P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA)){%>
					continue;
				<%}%>
			}
			
        	var strClase= (i==num)?"solapaHigh":"solapaLow";
			var strEstilo= (i==num)?"":"none";
			eval("Solapa_"+i+".className=\""+strClase+"\"");
			eval("marcadorSolapa_"+i+".className=\""+strClase+"\"");
			eval("ElemSolapa_"+i+".style.display=\""+strEstilo+"\"");
		}
		document.FormCorredoresModificar.numPest.value = SolapaActiva;
	}
	
	function cambiaProvincia(){
		document.FormCorredoresModificar.CodMun.value="";
		document.FormCorredoresModificar.CodLoc.value="";
		document.FormCorredoresModificar.CodPst.value="";
		document.FormCorredoresModificar.accion.value="FCA";
		comunAceptar();
		document.FormCorredoresModificar.action='<%=P06BPaginas.P06B_JSP_SERVLETCORREDORMODIFICAR_INJSP%>';
		document.FormCorredoresModificar.submit();
	}
	function cambiaMunicipio(){
		document.FormCorredoresModificar.CodLoc.value="";
		document.FormCorredoresModificar.CodPst.value="";
		document.FormCorredoresModificar.accion.value="FCA";
		comunAceptar();
		document.FormCorredoresModificar.action='<%=P06BPaginas.P06B_JSP_SERVLETCORREDORMODIFICAR_INJSP%>';
		document.FormCorredoresModificar.submit();
	}
	function cambiaLocalidad(){
		document.FormCorredoresModificar.CodPst.value="";
		comunAceptar();
		document.FormCorredoresModificar.accion.value="FCA";
		document.FormCorredoresModificar.action='<%=P06BPaginas.P06B_JSP_SERVLETCORREDORMODIFICAR_INJSP%>';
		document.FormCorredoresModificar.submit();
	}
	
	function formatearCamposPantalla(){
		poner2decimales('FormCorredoresModificar','Capsoc');
		
	}
	
	//Abre un pop-up para ver/modificar los accionista directo, accionista indirecto o auxiliar externo seleccionado.
	function abrirSocio(indice, ea,codpro, codmun, locali, codpst, tipo){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bSocioModificar.jsp?INDICE="+indice+"&codpro_socioModif="+codpro+"&codmun_socioModif="+codmun+"&locali_socioModif="+locali+"&codpst_socioModif="+codpst+"&TIPO="+tipo+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=780,height=440,status=yes,toolbar=no,menubar=no,location=no");
	}

	//Abre un pop-up para ver/modificar los accionista directo, accionista indirecto o auxiliar externo seleccionado.
	function abrirSocio2(indice, ea,codpro, codmun, locali, codpst, tipo,codpro2, codmun2, locali2){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bSocioModificar.jsp?INDICE="+indice+"&codpro_socioModif="+codpro+"&codmun_socioModif="+codmun+"&locali_socioModif="+locali+"&codpst_socioModif="+codpst+"&TIPO="+tipo+"&codproOriginal_socio="+codpro2+"&codmunOriginal_socio="+codmun2+"&localiOriginal_socio="+locali2+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=780,height=440,status=yes,toolbar=no,menubar=no,location=no");
	}

	//Abre un pop-up para ver/modificar el ev seleccionado.
	function abrirEV(indice, ea,codpro, codmun, locali, codpst, claveCat, fhInscrip){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bEVModificar.jsp?INDICE="+indice+"&codpro_evModif="+codpro+"&codmun_evModif="+codmun+"&locali_evModif="+locali+"&codpst_evModif="+codpst+"&claveCat_ev="+claveCat+"&fhInscrip_ev="+fhInscrip+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=800,height=660,status=yes,toolbar=no,menubar=no,location=no");
	}

	//Abre un pop-up para ver/modificar el ev seleccionado.
	function abrirEV2(indice, ea,codpro, codmun, locali, codpst, claveCat, fhInscrip,codpro2, codmun2, locali2){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bEVModificar.jsp?INDICE="+indice+"&codpro_evModif="+codpro+"&codmun_evModif="+codmun+"&locali_evModif="+locali+"&codpst_evModif="+codpst+"&claveCat_ev="+claveCat+"&fhInscrip_ev="+fhInscrip+"&codproOr_evModif="+codpro2+"&codmunOr_evModif="+codmun2+"&localiOr_evModif="+locali2+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=800,height=660,status=yes,toolbar=no,menubar=no,location=no");
	}

	//Abre un pop-up para ver/modificar el organo de direccion, direccion tecnica seleccionado.
	function abrirDireccion(indice, ea,codpro, codmun, locali, codpst, tipo, curso, acreditaH){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bDireccionModificar.jsp?INDICE="+indice+"&codpro_direcAdminModif="+codpro+"&codmun_direcAdminModif="+codmun+"&locali_direcAdminModif="+locali+"&codpst_direcAdminModif="+codpst+"&TIPO="+tipo+"&curso_direcAdminModif="+curso+"&acreditaH_direcAdminModif="+acreditaH+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=800,height=660,status=yes,toolbar=no,menubar=no,location=no,scrollbars=1");
	}
	
	//Abre un pop-up para ver/modificar el organo de direccion, direccion tecnica seleccionado.
	function abrirDireccion2(indice, ea,codpro, codmun, locali, codpst, tipo, curso, acreditaH,codpro2, codmun2, locali2, pais2, idCargo2){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bDireccionModificar.jsp?INDICE="+indice+"&codpro_direcAdminModif="+codpro+"&codmun_direcAdminModif="+codmun+"&locali_direcAdminModif="+locali+"&codpst_direcAdminModif="+codpst+"&TIPO="+tipo+"&curso_direcAdminModif="+curso+"&acreditaH_direcAdminModif="+acreditaH+"&codproOr_direcAdminModif="+codpro2+"&codmunOr_direcAdminModif="+codmun2+"&localiOr_direcAdminModif="+locali2+"&paisOr_direcAdminModif="+pais2+"&idCargoOr_direcAdminModif="+idCargo2+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=800,height=660,status=yes,toolbar=no,menubar=no,location=no,scrollbars=1");
	}
	
	//Abre un pop-up para ver/modificar otro cargo direccion seleccionado.
	function abrirOtrosDirec(indice, ea, tipo, curso, acreditaH){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bOtrosDirecModificar.jsp?INDICE="+indice+"&TIPO="+tipo+"&curso_direcAdminModif="+curso+"&acreditaH_direcAdminModif="+acreditaH+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=800,height=500,status=yes,toolbar=no,menubar=no,location=no,scrollbars=1");
	}

	//Abre un pop-up para ver/modificar otro cargo direccion seleccionado.
	function abrirOtrosDirec2(indice, ea, tipo, curso, acreditaH, idCargo2){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bOtrosDirecModificar.jsp?INDICE="+indice+"&TIPO="+tipo+"&curso_direcAdminModif="+curso+"&acreditaH_direcAdminModif="+acreditaH+"&idCargoOr_direcAdminModif="+idCargo2+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=800,height=500,status=yes,toolbar=no,menubar=no,location=no,scrollbars=1");
	}

	//Abre un pop-up para ver/modificar el administrador seleccionado.
	function abrirAdmin(indice, ea,codpro, codmun, locali, codpst, tipo, curso, acreditaH, acredita){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bAdminModificar.jsp?INDICE="+indice+"&codpro_direcAdminModif="+codpro+"&codmun_direcAdminModif="+codmun+"&locali_direcAdminModif="+locali+"&codpst_direcAdminModif="+codpst+"&TIPO="+tipo+"&curso_direcAdminModif="+curso+"&acreditaH_direcAdminModif="+acreditaH+"&acredita_direcAdminModif="+acredita+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=800,height=660,status=yes,toolbar=no,menubar=no,location=no,scrollbars=1");
	}
	
	//Abre un pop-up para ver/modificar el administrador seleccionado.
	function abrirAdmin2(indice, ea,codpro, codmun, locali, codpst, tipo, curso, acreditaH, acredita,codpro2, codmun2, locali2, pais2, idCargo2){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bAdminModificar.jsp?INDICE="+indice+"&codpro_direcAdminModif="+codpro+"&codmun_direcAdminModif="+codmun+"&locali_direcAdminModif="+locali+"&codpst_direcAdminModif="+codpst+"&TIPO="+tipo+"&curso_direcAdminModif="+curso+"&acreditaH_direcAdminModif="+acreditaH+"&acredita_direcAdminModif="+acredita+"&codproOr_direcAdminModif="+codpro2+"&codmunOr_direcAdminModif="+codmun2+"&localiOr_direcAdminModif="+locali2+"&paisOr_direcAdminModif="+pais2+"&idCargoOr_direcAdminModif="+idCargo2+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=800,height=660,status=yes,toolbar=no,menubar=no,location=no,scrollbars=1");
	}
	
	//Abre un pop-up para ver/modificar el administrador seleccionado.
	function abrirAdmin3(indice, ea,codpro, codmun, locali, codpst, tipo, curso, acreditaH, acredita,codpro2, codmun2, locali2, codpst2, curso2, acreditaH2, acredita2){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bAdminModificar.jsp?INDICE="+indice+"&codpro_direcAdminModif="+codpro+"&codmun_direcAdminModif="+codmun+"&locali_direcAdminModif="+locali+"&codpst_direcAdminModif="+codpst+"&TIPO="+tipo+"&curso_direcAdminModif="+curso+"&acreditaH_direcAdminModif="+acreditaH+"&acredita_direcAdminModif="+acredita+"&codproOr_direcAdminModif="+codpro2+"&codmunOr_direcAdminModif="+codmun2+"&localiOr_direcAdminModif="+locali2+"&codpstOr_direcAdminModif="+codpst2+"&cursoOr_direcAdminModif="+curso2+"&acreditaHOr_direcAdminModif="+acreditaH2+"&acreditaOr_direcAdminModif="+acredita2+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=800,height=660,status=yes,toolbar=no,menubar=no,location=no,scrollbars=1");
	}
	
	//Abre un pop-up para ver/modificar las sucursales seleccionadas.
	function abrirSucursal(indice, ea,codpro, codmun, locali, codpst){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bSucursalModificar.jsp?INDICE="+indice+"&codpro_sucursalModif="+codpro+"&codmun_sucursalModif="+codmun+"&locali_sucursalModif="+locali+"&codpst_sucursalModif="+codpst+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=780,height=440,status=yes,toolbar=no,menubar=no,location=no");
	}
	
	//Abre un pop-up para ver/modificar los defensores de cliente seleccionados.
	function abrirDefCliente(indice, ea, codpro, codmun, locali, codpst){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bDefClienteModificar.jsp?INDICE="+indice+"&codpro_defClienteModif="+codpro+"&codmun_defClienteModif="+codmun+"&locali_defClienteModif="+locali+"&codpst_defClienteModif="+codpst+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=780,height=540,status=yes,toolbar=no,menubar=no,location=no");
	}
	
	//Abre un pop-up para ver/modificar los defensores de cliente seleccionados.
	function abrirDefCliente2(indice, ea, codpro, codmun, locali, codpst, codproOri, codmunOri, localiOri){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bDefClienteModificar.jsp?INDICE="+indice+"&codpro_defClienteModif="+codpro+"&codmun_defClienteModif="+codmun+"&locali_defClienteModif="+locali+"&codpst_defClienteModif="+codpst+"&codproOri_defClienteModif="+codpro+"&codmunOri_defClienteModif="+codmun+"&localiOri_defClienteModif="+locali+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=780,height=540,status=yes,toolbar=no,menubar=no,location=no");
	}
	
	//Abre un pop-up para ver/modificar la persona física del defensor de cliente seleccionado
	function abrirPFDefCliente(indice, ea, indicePF, codpro, codmun, locali, codpst){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bPFDefClienteModificar.jsp?INDICE_DEF="+indice+"&INDICE_PF="+indicePF+"&codpro_PFDefClienteModif="+codpro+"&codmun_PFDefClienteModif="+codmun+"&locali_PFDefClienteModif="+locali+"&codpst_PFDefClienteModif="+codpst+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=780,height=540,status=yes,toolbar=no,menubar=no,location=no");
	}
	
	//Abre un pop-up para ver/modificar los departamentos de atención al cliente seleccionados.
	function abrirDepAtCliente(indice, ea, codpro, codmun, locali, codpst){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bDepAtClienteModificar.jsp?INDICE="+indice+"&codpro_depAtClienteModif="+codpro+"&codmun_depAtClienteModif="+codmun+"&locali_depAtClienteModif="+locali+"&codpst_depAtClienteModif="+codpst+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=780,height=540,status=yes,toolbar=no,menubar=no,location=no");
	}
	
	//Abre un pop-up para ver/modificar los departamentos de atención al cliente seleccionados.
	function abrirDepAtCliente2(indice, ea, codpro, codmun, locali, codpst, codproOri, codmunOri, localiOri){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bDepAtClienteModificar.jsp?INDICE="+indice+"&codpro_depAtClienteModif="+codpro+"&codmun_depAtClienteModif="+codmun+"&locali_depAtClienteModif="+locali+"&codpst_depAtClienteModif="+codpst+"&codproOri_depAtClienteModif="+codproOri+"&codmunOri_depAtClienteModif="+codmunOri+"&localiOri_depAtClienteModif="+localiOri+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=780,height=540,status=yes,toolbar=no,menubar=no,location=no");
	}
	
	//Abre un pop-up para ver/modificar la persona física del departamento de atención al cliente seleccionado
	function abrirPFDepAtCliente(indice, ea, indicePersona, codpro, codmun, locali, codpst){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bPFDepAtClienteModificar.jsp?INDICE_DEP_AT_CLTE="+indice+"&INDICE_PERSONA="+indicePersona+"&codpro_PFDepAtClienteModif="+codpro+"&codmun_PFDepAtClienteModif="+codmun+"&locali_PFDepAtClienteModif="+locali+"&codpst_PFDepAtClienteModif="+codpst+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=780,height=540,status=yes,toolbar=no,menubar=no,location=no");
	}
	
	//Abre un pop-up para ver/modificar el responsable del departamento de cliente seleccionado
	function abrirRespDepAtCliente(indice, ea, indicePersona, codpro, codmun, locali, codpst){
		document.getElementById("contenidoPagina").style.display="none";
		window.open("/p06bMediadoresSegurosNWar/p06bCorredoresJSP/desgloseJSP/p06bRespDepAtClienteModificar.jsp?INDICE_DEP_AT_CLTE="+indice+"&INDICE_PERSONA="+indicePersona+"&codpro_respDepAtClienteModif="+codpro+"&codmun_respDepAtClienteModif="+codmun+"&locali_respDepAtClienteModif="+locali+"&codpst_respDepAtClienteModif="+codpst+"&ea="+ea+"&nomFormulario=FormCorredoresModificar&hora=<%=new java.util.Date()%>", null, "width=780,height=540,status=yes,toolbar=no,menubar=no,location=no");
	}
		
	//-->
</script>

<div id="contenidoPagina">

<%@ include file="/p06bComunJSP/p06bCabecera.inc"%>
<p>
<%@ include file="/p06bComunJSP/p06bMenuJsp.inc"%>
<div id="cuerpo">
<!--Aqui va el cuerpo de la página -->
	<TABLE class="general" cellpadding="0" cellspacing="0">
	    <tr> 
	      <td height="20"></td>
	    </tr>
	    <tr> 
	      <td width="100%">
	      	<!-- Codigo propio pantalla -->
	      	<div class="headText">
	      		<FORM NAME="FormCorredoresModificarNuevo" METHOD="POST" action="<%=P06BPaginas.P06B_JSP_SERVLETCORREDOR_INJSP%>">
	      		</FORM>
	      		<FORM NAME="FormCorredoresModificarListado" METHOD="POST" action="<%=servletRetorno%>">
				  	<input type="hidden" name="codigoVuelta" value="<%=(tipoRetorno.equals("0"))?expediente:datosAtencionPeticionEnRevision.getCorrelativo()%>">
				  	<input type="hidden" name="columnaVuelta" value="<%=(tipoRetorno.equals("0"))?P06BTablas.P06B_P06B20_NUMEXP:P06BTablas.P06B_P06B64_AP_CORRELATENCPETIC%>">
				  	<input type="hidden" name="numPag" value="<%=(request.getParameter("numPag")==null)?"":request.getParameter("numPag")%>">
	      		</FORM>
	      		<FORM NAME="FormAdjuntarFicheros" METHOD="POST" action="<%=(P06BPaginas.P06B_JSP_SERVLETADJUNTARFICHERO_INJSP+"?expediente="+expediente)%>">
	      		</FORM>
	      		<FORM NAME="FormCorredoresModificar" METHOD="POST" action="<%=P06BPaginas.P06B_JSP_SERVLETCORREDORMODIFICAR_INJSP%>">
				  <input type="hidden" name="numPest" value="<%=(request.getParameter("numPest")==null)?"0":request.getParameter("numPest")%>"/>
				  <input type="hidden" name="tablaChange" value=""/>
				  <input type="hidden" name="idTablaDelete" value=""/>
				  <input type="hidden" name="accion" value=""/>
<%-- 			  	<input type="hidden" name="numPag" value="<%=(request.getParameter("numPag")==null)?"":request.getParameter("numPag")%>"> --%>
<%-- 				<input type="hidden" name="numTotPag" value="<%=(request.getParameter("numTotPag")==null)?"":request.getParameter("numTotPag")%>"> --%>
<%--     			<input type="hidden" name="irNumPag" value="<%=(request.getParameter("irNumPag")==null)?"":request.getParameter("irNumPag")%>"> --%>
				  <input type="hidden" name="subaccion" value="<%=P06BConstantes.P06B_AP_ESTADO_ENSISTEMA%>"/>				  
				  <!-- Se utiliza para saber que cargo de administrador o dirección eliminar, en caso de que el DNI esté repetido -->
				  <input type="hidden" name="idCargoDelete" value=""/>
				  
				  <!-- Correlativo Defensor Cliente : Se utiliza para saber a que defensor añadir una persona física, en caso de que el 
				  		defensor sea jurídico -->
				  <input type="hidden" name="corrDefCliente" value=""/>
				  
				  <!-- Inicio de la tabla contenidoSolapas --> 				
					<tr>
					   <td>
					  		<table class="tablaBotonera" border="0" cellpadding="0" cellspacing="0" align="left">
								 <tr> 
									 <% if(!expediente.trim().equals("") && !vo.getClase().equals("")){%>
										 <td width="10%">
										 	<input class="boton" type="button" id="btnAceptar" name="Aceptar" value="<p06b:p06bResEtiquetasTag resource="botones.aceptar"/>" onclick="javascript:aceptar(<%=(bIncorporando)?P06BConstantes.P06B_AP_ESTADO_APROBADA:P06BConstantes.P06B_AP_ESTADO_ENSISTEMA%>);"/>
										 </td>
										 <%if (bIncorporando || estadoAntiguo.equals(P06BConstantes.P06B_CORREDORES_ESTADO_PDTE_ALTA) ||
													estadoAntiguo.equals(P06BConstantes.P06B_CORREDORES_ESTADO_PDTE_BAJA)){%>
										 <td width="1%"></td>
										 <td width="10%">
										 	<input class="boton" type="button" id="btnRechazar" name="Rechazar" value="<p06b:p06bResEtiquetasTag resource="botones.rechazar"/>" onclick="javascript:aceptar(<%=P06BConstantes.P06B_AP_ESTADO_RECHAZADA%>);"/>
										 </td>
										 <%}%>
										 <td width="1%"></td>
										 <td width="10%">
										 <%if (bIncorporando || estadoAntiguo.equals(P06BConstantes.P06B_CORREDORES_ESTADO_PDTE_ALTA) ||
													estadoAntiguo.equals(P06BConstantes.P06B_CORREDORES_ESTADO_PDTE_BAJA)){%>
										 	<input class="boton" type="button" name="Documentos" value="<p06b:p06bResEtiquetasTag resource="botones.ficheros"/>" onclick="javascript:documentos(false);"/>
										 <%}else{%>
										 	<input class="boton" type="button" name="Documentos" value="<p06b:p06bResEtiquetasTag resource="botones.ficheros"/>" onclick="javascript:documentos(true);"/>
										 <%}%>
										 </td>
									 	<td width="1%"></td>
									 	<td width="10%">
										 	<input class="boton" type="button" name="Retornar" value="<p06b:p06bResEtiquetasTag resource="botones.retornar"/>" onclick="javascript:retornar();"/>
										</td>
										<td width="67%" class="searchTitleCenteredAndRed" align="center">
									 	<%if (bIncorporandoDEC){%>
										      <p06b:p06bResEtiquetasTag resource="pantallas.literal.titAceptarPropuestasDEC"/><%=" " + vo.getEjerDECAIncorporar()%>
									 	<%}else if (bIncorporandoModTramitagune){%>
										      <p06b:p06bResEtiquetasTag resource="pantallas.literal.titAceptarPropuestasModTramitagune"/><%=(vo.getDatosAtencionPeticionEnRevision()==null)?"":(vo.getDatosAtencionPeticionEnRevision().getRegistryNumber()==null)?"":vo.getDatosAtencionPeticionEnRevision().getRegistryNumber()+"(" + vo.getDatosAtencionPeticionEnRevision().getCorrelativo() + ")"%>
									 	<%}%>
									 	</td>
									 <%}else{%>
									 	<td width="10%">
										 	<input class="boton" type="button" name="Retornar" value="<p06b:p06bResEtiquetasTag resource="botones.retornar"/>" onclick="javascript:retornar();"/>
										</td>
									 	<td width="68%"></td>
									 <%}%>
								</tr>
							 </table> 
						</td>
					</tr>
					<tr height="20"><td></td></tr>
					<p06b:p06bValidationTag name="errors"/>
					<tr>
					   <td>
					  			<table class="tablaSolapas" border="0" cellpadding="0" cellspacing="0" align="left">
								 <tr> 
									 <!-- Datos Mediador -->
									 <td class="solapaResto" id='SolapaResto_0' border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_0' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_0' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.mediadorCompleto"/>" onClick="fActivaSolapa(0)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.mediador"/>
										</a>
									 </td>
									 
									 <!-- Accionistas y participes directos -->
									<%if (vo.getDatosAtencionPeticionEnRevision()==null||vo.getDatosAtencionPeticionEnRevision().isbActualizarCapitalSocial()){%>
									 <td class="solapaResto" id="SolapaResto_1" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_1' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_1' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.accionisDirecCompleto"/>" onClick="fActivaSolapa(1)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.accionisDirec"/>
										</a> 
									 </td>
									<%}%>
									 
									 <!-- Accionistas y participes indirectos -->
									<%if (!bIncorporandoModTramitagune){%>	
									 <td class="solapaResto" id="SolapaResto_2" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_2' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_2' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.accionisIndirecCompleto"/>" onClick="fActivaSolapa(2)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.accionisIndirec"/>
										</a> 
									 </td>
									<%}%>
									 
									 <!-- Auxiliares externos -->
									<%if (!bIncorporandoModTramitagune){%>	
									 <td class="solapaResto" id="SolapaResto_3" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_3' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_3' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.auxilExternoCompleto"/>" onClick="fActivaSolapa(3)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.auxilExterno"/>
										</a> 
									 </td>
									<%}%>
									 
									 <!-- Organo de direccion responsable de la mediacion -->
									<%if (vo.getDatosAtencionPeticionEnRevision()==null||vo.getDatosAtencionPeticionEnRevision().isbActualizarOrganoDireccion()){%>
									 <td class="solapaResto" id="SolapaResto_4" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_4' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_4' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.direcResponMediacCompleto"/>" onClick="fActivaSolapa(4)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.direcResponMediac"/>
										</a> 
									 </td>
									<%}%>
									 
									 <!-- Direccion tecnica -->
<!-- 									 <td class="solapaResto" id="SolapaResto_5" border="0" width="4%">&nbsp;</td> -->
<!-- 									 <td id='Solapa_5' class="solapaLow" nowrap>  -->
<%-- 										<a id='marcadorSolapa_5' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.direcTecnicaCompleto"/>" onClick="fActivaSolapa(5)" >  --%>
<%-- 										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.direcTecnica"/> --%>
<!-- 										</a>  -->
<!-- 									 </td> -->
									 
									 <!-- Participantes directos en la mediacion de seguros -->
<!-- 									 <td class="solapaResto" id="SolapaResto_6" border="0" width="4%">&nbsp;</td> -->
<!-- 									 <td id='Solapa_6' class="solapaLow" nowrap>  -->
<%-- 										<a id='marcadorSolapa_6' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.particDirectosMediacCompleto"/>" onClick="fActivaSolapa(6)" >  --%>
<%-- 										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.particDirectosMediac"/> --%>
<!-- 										</a>  -->
<!-- 									 </td> -->
									 
									 <!-- Administradores-->
									<%if (vo.getDatosAtencionPeticionEnRevision()==null||vo.getDatosAtencionPeticionEnRevision().isbActualizarAdministradores()){%>
									 <td class="solapaResto" id="SolapaResto_7" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_7' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_7' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.administradores"/>" onClick="fActivaSolapa(7)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.admin"/>
										</a> 
									 </td>
									<%}%>
									 
									 <!-- Sucursales -->
									<%if (!bIncorporandoModTramitagune){%>	
									 <td class="solapaResto" id="SolapaResto_8" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_8' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_8' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.sucurCompleto"/>" onClick="fActivaSolapa(8)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.sucur"/>
										</a> 
									 </td>
									<%}%>	
									 
									 <!-- Defensor cliente -->
									<%if (vo.getDatosAtencionPeticionEnRevision()==null||vo.getDatosAtencionPeticionEnRevision().isbActualizarAtencionDefensaCliente()){%>
									 <%if(vo.getClase().equals(P06BConstantes.P06B_REASEGUROS_CTEEXP_FISICA) ||
											 vo.getClase().equals(P06BConstantes.P06B_REASEGUROS_CTEEXP_JURIDICA) ||
											 vo.getClase().equals(P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA) ||
											 vo.getClase().equals(P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA)){%>
									 <td class="solapaResto" id="SolapaResto_9" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_9' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_9' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.defClienteCompleto"/>" onClick="fActivaSolapa(9)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.defAtCliente"/>
										</a> 
									 </td>
									 <%}%>
									<%}%>
									 
									 <!-- Departamento de Atención al cliente -->
<%-- 									<%if (vo.getDatosAtencionPeticionEnRevision()==null||vo.getDatosAtencionPeticionEnRevision().isbActualizarAtencionDefensaCliente()){%> --%>
<!-- 									 <td class="solapaResto" id="SolapaResto_10" border="0" width="4%">&nbsp;</td> -->
<!-- 									 <td id='Solapa_10' class="solapaLow" nowrap>  -->
<%-- 										<a id='marcadorSolapa_10' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.depAtClienteCompleto"/>" onClick="fActivaSolapa(10)" >  --%>
<%-- 										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.depAtCliente"/> --%>
<!-- 										</a>  -->
<!-- 									 </td> -->
<%-- 									<%}%> --%>

									 <!-- Entidades vinculadas -->
									 <td class="solapaResto" id="SolapaResto_11" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_11' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_11' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.entidadesVinculadas"/>" onClick="fActivaSolapa(11)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.entidadesVinculadas"/>
										</a> 
									 </td>
									 
									<%if (vo.getDatosAtencionPeticionEnRevision()==null||vo.getDatosAtencionPeticionEnRevision().isbActualizarCapacidadFinanciera()){%>
									 <%if(vo.getClase().equals(P06BConstantes.P06B_AGENTEVINCULADO_FISICA) ||
											 vo.getClase().equals(P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA) ||
											 vo.getClase().equals(P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA) ||
											 vo.getClase().equals(P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA)){%>
									 <!-- Capacidad financiera copiada inicialmente desde Datos Mediador -->
									 <td class="solapaResto" id="SolapaResto_12" border="0" width="4%">&nbsp;</td>
									 <td id='Solapa_12' class="solapaLow" nowrap> 
										<a id='marcadorSolapa_12' class="solapaLow" title="<p06b:p06bResEtiquetasTag resource="pantallas.literal.capacidadFinancieraCompleta"/>" onClick="fActivaSolapa(12)" > 
										 <p06b:p06bResEtiquetasTag resource="pantallas.literal.capacidadFinanciera"/>
										</a>
									 </td>
									 <%}%>
									<%}%>
									 									 
								 	 <td class="solapaResto" id="SolapaResto_13" border="0">&nbsp;</td>
								</tr>
							 </table> 
						</td>
					</tr>
					<tr> 
				 		<td> 
							<table class="contenidoSolapas" width="100%" border="0" cellpadding="0" cellspacing="0">
								
								<!-- Datos Mediador -->
								<tr id="ElemSolapa_0">
								  <td>
										<%@ include file="p06bCorredorModificar_Datos.inc" %>											
								  </td>	 
								</tr>
								
								<!-- Accionistas y participes directos -->
								<%if (vo.getDatosAtencionPeticionEnRevision()==null||vo.getDatosAtencionPeticionEnRevision().isbActualizarCapitalSocial()){%>
								<tr id="ElemSolapa_1">
								  <td>
										<%@ include file="p06bCorredorModificar_Socios.inc" %>											
								  </td>	 
								</tr>
								<%}%>
								
								<!-- Accionistas y participes indirectos -->
								<%if (!bIncorporandoModTramitagune){%>	
								<tr id="ElemSolapa_2">
								  <td>
								  		<%@ include file="p06bCorredorModificar_Socios_Indirec.inc" %>
								  </td>	 
								</tr>
								<%}%>
								
								<!-- Auxiliares externos -->
								<%if (!bIncorporandoModTramitagune){%>	
								<tr id="ElemSolapa_3">
								  <td>
										<%@ include file="p06bCorredorModificar_Aux_Externos.inc" %>											
								  </td>	 
								</tr>
								<%}%>
								
								<!-- Organo de direccion responsable de la mediacion -->
								<%if (vo.getDatosAtencionPeticionEnRevision()==null||vo.getDatosAtencionPeticionEnRevision().isbActualizarOrganoDireccion()){%>
								<tr id="ElemSolapa_4"> 
								  <td> 
										<%@ include file="p06bCorredorModificar_Organos.inc" %>		  
								  </td>
								</tr>
								<%}%>
								
								<!-- Direccion tecnica -->
<!-- 								<tr id="ElemSolapa_5">  -->
<!-- 								  <td>  -->
<%-- 										<%@ include file="p06bCorredorModificar_DirecTec.inc" %> --%>
<!-- 								  </td> -->
<!-- 								</tr> -->
								
								<!-- Participantes directos en la mediacion de seguros -->
<!-- 								<tr id="ElemSolapa_6">  -->
<!-- 								  <td>  -->
<%-- 										<%@ include file="p06bCorredorModificar_OtrosDirec.inc" %> --%>
<!-- 								  </td> -->
<!-- 								</tr> -->
								
								<!-- Administradores-->	
								<%if (vo.getDatosAtencionPeticionEnRevision()==null||vo.getDatosAtencionPeticionEnRevision().isbActualizarAdministradores()){%>
								<tr id="ElemSolapa_7"> 
								  <td> 
										<%@ include file="p06bCorredorModificar_Administradores.inc" %>		  
								  </td>
								</tr>
								<%}%>
								
								<!-- Sucursales -->
								<%if (!bIncorporandoModTramitagune){%>	
								<tr id="ElemSolapa_8"> 
								  <td> 
										<%@ include file="p06bCorredorModificar_Sucursales.inc" %>		  
								  </td>
								</tr>
								<%}%>
								
								<!-- Defensores cliente -->	
								<%if (vo.getDatosAtencionPeticionEnRevision()==null||vo.getDatosAtencionPeticionEnRevision().isbActualizarAtencionDefensaCliente()){
								 if(vo.getClase().equals(P06BConstantes.P06B_REASEGUROS_FISICA) ||
										 vo.getClase().equals(P06BConstantes.P06B_REASEGUROS_JURIDICA) ||
										 vo.getClase().equals(P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA) ||
										 vo.getClase().equals(P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA)){%>
								<tr id="ElemSolapa_9"> 
								  <td> 
										<%@ include file="p06bCorredorModificar_DefensCliente.inc" %>		  
								  </td>
								</tr>
								<%}}%>

								<!-- Departamento de Atención al cliente -->	
<%-- 								<%if (vo.getDatosAtencionPeticionEnRevision()==null||vo.getDatosAtencionPeticionEnRevision().isbActualizarAtencionDefensaCliente()){%> --%>
<!-- 								<tr id="ElemSolapa_10">  -->
<!-- 								  <td>  -->
<%-- 										<%@ include file="p06bCorredorModificar_DepAtCliente.inc" %>		   --%>
<!-- 								  </td> -->
<!-- 								</tr> -->
<%-- 								<%}%> --%>
								
								<!-- Entidades vinculadas -->
								<tr id="ElemSolapa_11">
								  <td>
										<%@ include file="p06bCorredorModificar_EntVinculadas.inc" %>		  
								  </td>	 
								</tr>
								
								<!-- Capacidad financiera copiada inicialmente desde Datos Mediador -->
								<%if (vo.getDatosAtencionPeticionEnRevision()==null||vo.getDatosAtencionPeticionEnRevision().isbActualizarCapacidadFinanciera()){
								 if(vo.getClase().equals(P06BConstantes.P06B_AGENTEVINCULADO_FISICA) ||
										 vo.getClase().equals(P06BConstantes.P06B_AGENTEVINCULADO_JURIDICA) ||
										 vo.getClase().equals(P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA) ||
										 vo.getClase().equals(P06BConstantes.P06B_CORREDORES_TIPOPER_JURIDICA)){%>
								<tr id="ElemSolapa_12">
								  <td>
										<%@ include file="p06bCorredorModificar_CapacidadFinanciera.inc" %>											
								  </td>	 
								</tr>
								 <%}
								}%>
								
							</table>
				 		</td>
					</tr>
				<!-- Fin de la tabla contenidoSolapas --> 
				  
				</FORM>
	      	</div>
	      	<!-- Fin Codigo propio pantalla -->
	      </td>
	    </tr>
	     <tr> 
	      <td height="20"></td>
	    </tr>
  </TABLE>
<!--Fin Aqui va el cuerpo de la página -->
</div>
<%@ include file="/p06bComunJSP/p06bPie.inc"%>

</div>

<script>
	//<!--



	fActivaSolapa(document.FormCorredoresModificar.numPest.value);
	inicializa();
	jQuery(document).ready(function($) {
		// textarea event handler to add support for maxlength attribute
		$(document).on('input keyup', 'textarea[maxlength]', function(e) {
		    // maxlength attribute does not in IE prior to IE10
		    // http://stackoverflow.com/q/4717168/740639
		    var $this = $(this);
		    var maxlength = $this.attr('maxlength');
		    if (!!maxlength) {
		        var text = $this.val();
	
		        if (text.length > maxlength) {
		            // truncate excess text (in the case of a paste)
		            $this.val(text.substring(0,maxlength));
		            e.preventDefault();
		        }
	
		    }
	
		});	
	} );
	//-->
</script>
</body>
</html>